# `ngSubmit` ( directive in module `ng` )

## Description

Enables binding angular expressions to onsubmit events.

Additionally it prevents the default action (which for form means sending the request to the server and reloading the current page).

## Usage

as attribute

    <form ng-submit="{expression}">
       ...
    </form>

as class

    <form class="ng-submit: {expression};">
       ...
    </form>

### Parameters

- `ngSubmit – {expression} –`

  Expression to eval.

## Example

#### Source

#### Demo